Skip to main content
aboutsummaryrefslogtreecommitdiffstats
AgeCommit message (Collapse)AuthorFilesLines
2012-02-15EGit 1.3.0.201202151440-rv1.3.0.201202151440-rMatthias Sohn1-1/+1
Change-Id: I6dce9bbbbe165d800a8b52fb37aeffec0563dced Signed-off-by: Matthias Sohn <matthias.sohn@sap.com>
2012-02-13Prepare post 1.3.0.201202121842-rc4 buildsMatthias Sohn1-1/+1
Change-Id: Ib0d9c3e199f3629eb457aa53117569c7334574d4 Signed-off-by: Matthias Sohn <matthias.sohn@sap.com>
2012-02-13EGit 1.3.0.201202121842-rc4v1.3.0.201202121842-rc4Matthias Sohn1-1/+1
Change-Id: I8240f7ad2458be7c626acd5fdeeb10a9ed3457e0 Signed-off-by: Matthias Sohn <matthias.sohn@sap.com>
2011-12-12Prepare 1.3.0 buildsMatthias Sohn1-2/+2
Change-Id: Icef899687d64a75432e307c36677b843f34d38a6 Signed-off-by: Matthias Sohn <matthias.sohn@sap.com>
2011-09-15Prepare 1.2.0 buildsMatthias Sohn1-2/+2
Change-Id: I37154fa55f825129a1b4d9526e9b5d8c0e2444cf Signed-off-by: Matthias Sohn <matthias.sohn@sap.com>
2011-09-07Prepare post v1.1.0.201109071825-rc3 buildsMatthias Sohn1-1/+1
Change-Id: If2a7dc355c75f1717f5f86460c93a69f1f8037c3 Signed-off-by: Matthias Sohn <matthias.sohn@sap.com>
2011-09-07EGit v1.1.0.201109071825-rc3v1.1.0.201109071825-rc3Matthias Sohn1-1/+1
Change-Id: I7a3ecf90a906ffa3fc2f9a46c1e4a07ab53095e3 Signed-off-by: Matthias Sohn <matthias.sohn@sap.com>
2011-09-01Prepare post v1.1.0.201109011030-rc2 buildsMatthias Sohn1-1/+1
Change-Id: Id50fd774f63d69ea0c6f23e334afeba652718cd7 Signed-off-by: Matthias Sohn <matthias.sohn@sap.com>
2011-09-01EGit v1.1.0.201109011030-rc2v1.1.0.201109011030-rc2Matthias Sohn1-1/+1
Change-Id: I529027272c02967e80b060bf664c363b00498921 Signed-off-by: Matthias Sohn <matthias.sohn@sap.com>
2011-08-16Team project set supportRobin Stocker1-0/+5
This is based on the previous work by Mykola Nikishov in change I800dd9f23953ad903f20289c442707e2dde08f75 ("Import a project set file"). This change includes export support, unit tests, and can handle the situation where different branches of the same repository should be imported. A project reference string in the project set file looks like this: 1.0,git://egit.eclipse.org/egit.git,master,org.eclipse.egit Based on an array of these reference strings, GitProjectSetCapability does the following when importing: - Clone a repository with CloneOperation for each combination of repository URL and branch name. - Import a project from each directory that is specified in the last part of the string ("." if the repository itself is the .project). - Add the repository to the Repositories View. - Connect the projects using ConnectProviderOperation. Due to Bug 244313, import and export of project set files requires the org.eclipse.core.runtime.compatibility plug-in. The dependency is in a separate optional feature, as proposed on the old change. It's required for Eclipse < 3.7. CQ: 5438 Bug: 296082 Change-Id: I1500cc376961117b39b8760e6de675a4885e5f72 Also-by: Mykola Nikishov <mn@mn.com.ua> Signed-off-by: Robin Stocker <robin@nibor.org> Signed-off-by: Matthias Sohn <matthias.sohn@sap.com>
2011-06-05Prepare 1.1.0 buildsMatthias Sohn1-2/+2
Change-Id: I08ca9b80852a59da363943b227d55a1b2750f83c Signed-off-by: Matthias Sohn <matthias.sohn@sap.com>
2011-05-03Qualify post-0.12 buildsMatthias Sohn1-2/+2
Change-Id: I4aa59d44e38caa46fbbfc60c6f75a7adeedb49d6 Signed-off-by: Matthias Sohn <matthias.sohn@sap.com>
2011-05-02EGit 0.12.1v0.12.1stable-0.12Matthias Sohn1-2/+2
Change-Id: Ie9275bd979d2a85eb05eb7b28e23e1bfb8be08ec Signed-off-by: Matthias Sohn <matthias.sohn@sap.com>
2011-02-12Qualify post 0.11 buildsMatthias Sohn1-2/+2
Change-Id: I662fc8356fb977f9866950590f1141821aa7e9e4 Signed-off-by: Matthias Sohn <matthias.sohn@sap.com>
2011-02-12Qualify post 0.11.1 buildsMatthias Sohn1-2/+2
Change-Id: Ied2f3e54740ec11c77219db3f83cf26d033173c5 Signed-off-by: Matthias Sohn <matthias.sohn@sap.com>
2011-02-11EGit 0.11.1v0.11.1Matthias Sohn1-2/+2
Change-Id: Icad36cf005cf517ce852ad83e85e40e900fd6039 Signed-off-by: Matthias Sohn <matthias.sohn@sap.com>
2010-12-17Qualify post 0.10 buildsMatthias Sohn1-2/+2
Change-Id: Iab0460e41f14a4399f6da8aeb08bcb2c03f05eac Signed-off-by: Matthias Sohn <matthias.sohn@sap.com>
2010-12-17Qualify post 0.10.1 buildsstable-0.10Matthias Sohn1-2/+2
Change-Id: I87f6bacbb0e1b01f692bae4ccb7d47139d0d9272 Signed-off-by: Matthias Sohn <matthias.sohn@sap.com>
2010-12-17EGit 0.10.1v0.10.1Matthias Sohn1-2/+2
Change-Id: I704a092b79cf6280c862805ccec5336526e470ba Signed-off-by: Matthias Sohn <matthias.sohn@sap.com>
2010-09-17Qualify builds as 0.10.0Shawn O. Pearce1-2/+2
Change-Id: I2492ee9172d957ed4907117c3d5b5e4486e07bf6 Signed-off-by: Shawn O. Pearce <spearce@spearce.org>
2010-09-15Qualify post-0.9.3 buildsstable-0.9Matthias Sohn1-2/+2
Change-Id: I2d496343dbcf6d74cd2214fe14e0cfe1fa346ada Signed-off-by: Matthias Sohn <matthias.sohn@sap.com>
2010-09-15EGit 0.9.3v0.9.3Matthias Sohn1-2/+2
Change-Id: I08460e3688d074278cad826b7193b622b8581392 Signed-off-by: Matthias Sohn <matthias.sohn@sap.com>
2010-09-15Qualify post-0.9.1 buildsMatthias Sohn1-2/+2
Change-Id: I28529d8df1d2992607ff229db5b6045015790018 Signed-off-by: Matthias Sohn <matthias.sohn@sap.com>
2010-09-15EGit 0.9.1v0.9.1Matthias Sohn1-2/+2
Change-Id: I46b5f2c26467365aafc0300499e8e404ebb25b8f Signed-off-by: Matthias Sohn <matthias.sohn@sap.com>
2010-06-14Start 0.9 developmentShawn O. Pearce1-2/+2
Change-Id: Ic3885ffb4ee460415fe5eb956616a3ac7a1f3fcb Signed-off-by: Shawn O. Pearce <spearce@spearce.org>
2010-06-02Qualify post 0.8.1 buildsShawn O. Pearce1-2/+2
Change-Id: Ia99ef4fc864396a3369e0e99a6d3d0c62c00bbaf Signed-off-by: Shawn O. Pearce <spearce@spearce.org>
2010-06-02EGit 0.8.1v0.8.1Shawn O. Pearce1-2/+2
Change-Id: I3901b45d428dbf09427cb6c4abb1ad848474905e Signed-off-by: Shawn O. Pearce <spearce@spearce.org>
2010-04-04EGit plugin not compatible with Eclipse 3.4, due to JSch dependencyRobin Rosenberg1-1/+1
The JSch bundle in Eclipse 3.4 does not export its packages with version numbers. Use Require-Bundle on version 0.1.37 that comes with Eclipse 3.4 Bug: 308032 Change-Id: Ic5039efe08e381e81be473712dd5d173c83d3fd8 Signed-off-by: Robin Rosenberg <robin.rosenberg@dewire.com>
2010-03-22Qualify builds as 0.8.0Shawn O. Pearce1-2/+2
Since the API is changing relative to 0.7.0, we'll call our next release 0.8.1. But until that gets released, builds from master will be 0.8.0.qualifier. Change-Id: I6b2ea58935b2748c9e4559de7ce58d61936d8c82 Signed-off-by: Shawn O. Pearce <spearce@spearce.org>
2010-03-16Implement maven build for org.eclipse.egit.docMatthias Sohn1-0/+7
To package checked in userguide run mvn install to update documentation from Eclipse EGit wiki call mvn -Dupdate.egit.doc=1 install If necessary correct resulting documentation sources under userguide folder manually and commit the resulting changes under folder userguide to the repository. Change-Id: I89c69b2efb6e64f9434aa1faeae8cd467c8422b2 Signed-off-by: Matthias Sohn <matthias.sohn@sap.com>
2010-02-14Fix build and test failuresShawn O. Pearce1-2/+2
- Correcting versions. [ms: - Correcting wrong version for org.eclipse.core.filesystem to [1.1,2.0) - "Require-Bundle:" needs to use "bundle-version:" to specify version. - Manifest refered to JUnit 4 but test execution specified JUnit 3. - Fix tests which have been broken by the change 667f571b "Fix enabling team operations on project import." - Split packages between org.eclipse.egit.core and org.eclipse.egit.core.test caused ClassNotFoundException in test execution hence moving test packages. ] Change-Id: Ic76335ecb34daa76431b3d7daae566d97a7413f0 Signed-off-by: Shawn O. Pearce <spearce@spearce.org> Signed-off-by: Matthias Sohn <matthias.sohn@sap.com>
2010-02-11Update manifests to use versioned Import-Package or Require-BundleShawn O. Pearce1-16/+15
Rather than taking anything at random, take the >= 3.4 but less than 4.0 versions for any Eclipse package, and JGit 0.6.0,0.7.0. This documents the assumption we are making about targeting the 3.4 API platform for Eclipse, but hopefully working on a forward release up until 4.0. Change-Id: If3955b243dbd36b6bee63472fa480ac172a80354 Signed-off-by: Shawn O. Pearce <spearce@spearce.org>
2010-01-28Correct update site URL and move description texts to property fileMatthias Sohn1-2/+2
Change-Id: I3fa8ed29207eb216036b493bd6925e68f63daeae Signed-off-by: Matthias Sohn <matthias.sohn@sap.com>
2010-01-27Clean up description text for pluginsShawn O. Pearce1-12/+6
Our build process doesn't insert these tags anymore, so we should drop them from the description of the feature. Also make our provider name match other Eclipse.org based plugins and use "Eclipse.org" rather than "eclipse.org". Finally, flip our URL to the final download site on the eclipse.org domain. Change-Id: I5f881fe350e52f8a137e5cf1e1e339675d6945a1 Signed-off-by: Shawn O. Pearce <spearce@spearce.org>
2010-01-22Add JGit plugin and feature to EGit update siteMatthias Sohn1-2/+2
Change-Id: I00cf10c2b86182f4e604293a6ce9423f0d0d3d91 Signed-off-by: Matthias Sohn <matthias.sohn@sap.com>
2010-01-20Fix EGit Tycho buildMatthias Sohn1-8/+1
- Add missing pom-first dependencies as described in [1] to fix the build. - Create EGit update site. - The build of the update site assumes that egit and jgit are checked out under a common root folder, this is needed to refer to the JGit update site. If the layout is different the URL pointing to the JGit update site has to be passed to the maven build as system property jgit-site, e.g. mvn -Djgit-site=file:/C:/tmp/site clean install or mvn -Djgit-site=http://point.to.jgit/site clean install - Introduce property for Eclipse p2 repository to prepare builds against other versions of Eclipse. - Adding information about mailing lists, issue tracker and license. This change depends on the following JGit change : - Ie4026f15f6250c4933dccf6f31b5009b90c036bc [1] https://docs.sonatype.org/display/TYCHO/Dependency+on+pom-first+artifacts BUT: since Tycho 0.6.0 target-platform-configuration has groupId org.sonatype.tycho ! Change-Id: Idf90bd4a29c36013f582c8f99424c8fc72597bc5 Signed-off-by: Matthias Sohn <matthias.sohn@sap.com>
2009-12-30Adapt to JGit build which switched to Apache Felix maven-bundle-pluginMatthias Sohn1-1/+7
Add JGit plugin to EGit feature since JGit feature has been removed. Configure p2 resolver to refer to org.eclipse.jgit pom-first artifact as described in [1]. Add maven build output folders to .gitignore [1] https://docs.sonatype.org/display/TYCHO/Dependency+on+pom-first+artifacts Change-Id: I3bdf1186b7c5f4f14370109f1afdb5bdd97d4db9 Signed-off-by: Matthias Sohn <matthias.sohn@sap.com>
2009-12-01EGit feature should depend on JGit featureMatthias Sohn1-9/+2
The EGit feature does not provide the plugin org.eclipse.jgit but instead should depend on the JGit feature which does supply it. Bug: 291524 Change-Id: I5042d65cbb8370d3457e5e0adb0fa472dba5814d Signed-off-by: Matthias Sohn <matthias.sohn@sap.com> Signed-off-by: Shawn O. Pearce <spearce@spearce.org>
2009-10-05Mark EGit plugin for 0.6Shawn O. Pearce1-2/+2
Our project plan calls for us to build 0.6 as the next version, so start using that version number in our builds. Change-Id: I739b142cb7656cd735237ba320d45ce93230a476 Signed-off-by: Shawn O. Pearce <spearce@spearce.org>
2009-09-30Initial EGit contribution to eclipse.orgShawn O. Pearce1-0/+79
Per CQ 3393 this is the initial contribution of the EGit project (an Eclipse team provider for Git) to eclipse.org. This initial version is derived from the historial EGit repository at commit a9578ba7361b66ab403c6605a1b87fb7b2f94c6e. Signed-off-by: Shawn O. Pearce <spearce@spearce.org>

    Back to the top